.chroma .bp{color:#fabd2f}.chroma .c,.chroma .c1,.chroma .ch,.chroma .cm{color:#777e94}.chroma .cp{color:#8ec07c}.chroma .cpf{color:#649bc4}.chroma .cs{color:#9075cd}.chroma .dl{color:#649bc4}.chroma .gd{color:#fff;background-color:#5f3737}.chroma .ge{color:#ddee30}.chroma .gh{color:#ffaa10}.chroma .gi{color:#fff;background-color:#3a523a}.chroma .go{color:#777e94}.chroma .gp{color:#ebdbb2}.chroma .gr{color:#f43}.chroma .gs{color:#ebdbb2}.chroma .gt{color:#ff7540}.chroma .gu{color:#b8bb26}.chroma .il{color:#649bc4}.chroma .k{color:#ff7540}.chroma .kc{color:#649bc4}.chroma .kd{color:#ff7540}.chroma .kn{color:#ffaa10}.chroma .kp{color:#5f8700}.chroma .kr{color:#ff7540}.chroma .kt{color:#ff7b72}.chroma .m,.chroma .mb,.chroma .mf,.chroma .mh,.chroma .mi,.chroma .mo{color:#649bc4}.chroma .n{color:#c9d1d9}.chroma .na,.chroma .nb{color:#fabd2f}.chroma .nc{color:#ffaa10}.chroma .nd{color:#8ec07c}.chroma .ne{color:#ff7540}.chroma .nf,.chroma .ni{color:#fabd2f}.chroma .nl{color:#ff7540}.chroma .nn{color:#c9d1d9}.chroma .no{color:#649bc4}.chroma .nt{color:#ff7540}.chroma .nv{color:#ebdbb2}.chroma .nx{color:#b6bac5}.chroma .o{color:#ff7540}.chroma .ow{color:#5f8700}.chroma .p{color:#d2d4db}.chroma .s,.chroma .s1,.chroma .s2{color:#b8bb26}.chroma .sa{color:#ffaa10}.chroma .sb{color:#b8bb26}.chroma .sc{color:#ffaa10}.chroma .sd{color:#b8bb26}.chroma .se{color:#ff8540}.chroma .sh{color:#b8bb26}.chroma .si{color:#ffaa10}.chroma .sr{color:#9075cd}.chroma .ss{color:#ff8540}.chroma .sx{color:#ffaa10}.chroma .vc,.chroma .vg,.chroma .vi{color:#649bee}.chroma .w{color:#7f8699}.CodeMirror.cm-s-default .cm-property,.CodeMirror.cm-s-paper .cm-property{color:#a0cc75}.CodeMirror.cm-s-default .cm-header,.CodeMirror.cm-s-paper .cm-header{color:#9daccc}.CodeMirror.cm-s-default .cm-quote,.CodeMirror.cm-s-paper .cm-quote{color:#090}.CodeMirror.cm-s-default .cm-keyword,.CodeMirror.cm-s-paper .cm-keyword{color:#cc8a61}.CodeMirror.cm-s-default .cm-atom,.CodeMirror.cm-s-paper .cm-atom{color:#ef5e77}.CodeMirror.cm-s-default .cm-number,.CodeMirror.cm-s-paper .cm-number{color:#ff5656}.CodeMirror.cm-s-default .cm-def,.CodeMirror.cm-s-paper .cm-def{color:#e4e4e4}.CodeMirror.cm-s-default .cm-variable-2,.CodeMirror.cm-s-paper .cm-variable-2{color:#00bdbf}.CodeMirror.cm-s-default .cm-variable-3,.CodeMirror.cm-s-paper .cm-variable-3{color:#085}.CodeMirror.cm-s-default .cm-comment,.CodeMirror.cm-s-paper .cm-comment{color:#8e9ab3}.CodeMirror.cm-s-default .cm-string,.CodeMirror.cm-s-paper .cm-string{color:#a77272}.CodeMirror.cm-s-default .cm-string-2,.CodeMirror.cm-s-paper .cm-string-2{color:#f50}.CodeMirror.cm-s-default .cm-meta,.CodeMirror.cm-s-paper .cm-meta,.CodeMirror.cm-s-default .cm-qualifier,.CodeMirror.cm-s-paper .cm-qualifier{color:#ffb176}.CodeMirror.cm-s-default .cm-builtin,.CodeMirror.cm-s-paper .cm-builtin{color:#b7c951}.CodeMirror.cm-s-default .cm-bracket,.CodeMirror.cm-s-paper .cm-bracket{color:#997}.CodeMirror.cm-s-default .cm-tag,.CodeMirror.cm-s-paper .cm-tag{color:#f1d273}.CodeMirror.cm-s-default .cm-attribute,.CodeMirror.cm-s-paper .cm-attribute{color:#bfcc70}.CodeMirror.cm-s-default .cm-hr,.CodeMirror.cm-s-paper .cm-hr{color:#999}.CodeMirror.cm-s-default .cm-url,.CodeMirror.cm-s-paper .cm-url{color:#c5cfd0}.CodeMirror.cm-s-default .cm-link,.CodeMirror.cm-s-paper .cm-link{color:#d8c792}.CodeMirror.cm-s-default .cm-error,.CodeMirror.cm-s-paper .cm-error{color:#dbdbeb}.markup [src$="#gh-light-mode-only"],.markup [src$="#light-mode-only"],.markup [href$="#gh-light-mode-only"],.markup [href$="#light-mode-only"]{display:none}.markup [src$="#gh-dark-mode-only"],.markup [src$="#dark-mode-only"],.markup [href$="#gh-dark-mode-only"],.markup [href$="#dark-mode-only"]{display:unset}:root{--is-dark-theme: true;--color-primary: #4183c4;--color-primary-contrast: #ffffff;--color-primary-dark-1: #548fca;--color-primary-dark-2: #679cd0;--color-primary-dark-3: #7aa8d6;--color-primary-dark-4: #8db5dc;--color-primary-dark-5: #b3cde7;--color-primary-dark-6: #d9e6f3;--color-primary-dark-7: #f4f8fb;--color-primary-light-1: #3876b3;--color-primary-light-2: #31699f;--color-primary-light-3: #2b5c8b;--color-primary-light-4: #254f77;--color-primary-light-5: #193450;--color-primary-light-6: #0c1a28;--color-primary-light-7: #04080c;--color-primary-alpha-10: #4183c419;--color-primary-alpha-20: #4183c433;--color-primary-alpha-30: #4183c44b;--color-primary-alpha-40: #4183c466;--color-primary-alpha-50: #4183c480;--color-primary-alpha-60: #4183c499;--color-primary-alpha-70: #4183c4b3;--color-primary-alpha-80: #4183c4cc;--color-primary-alpha-90: #4183c4e1;--color-primary-hover: var(--color-primary-light-1);--color-primary-active: var(--color-primary-light-2);--color-secondary: #3b444a;--color-secondary-dark-1: #424b51;--color-secondary-dark-2: #4a545b;--color-secondary-dark-3: #59646c;--color-secondary-dark-4: #6b7681;--color-secondary-dark-5: #78858f;--color-secondary-dark-6: #87929d;--color-secondary-dark-7: #939ea9;--color-secondary-dark-8: #a1acb4;--color-secondary-dark-9: #aab3bc;--color-secondary-dark-10: #b6bfc8;--color-secondary-dark-11: #c2cbd3;--color-secondary-dark-12: #ccd4dc;--color-secondary-dark-13: #cfd7df;--color-secondary-light-1: #2e353b;--color-secondary-light-2: #2b353e;--color-secondary-light-3: #1c2227;--color-secondary-light-4: #161b1f;--color-secondary-alpha-10: #3b444a19;--color-secondary-alpha-20: #3b444a33;--color-secondary-alpha-30: #3b444a4b;--color-secondary-alpha-40: #3b444a66;--color-secondary-alpha-50: #3b444a80;--color-secondary-alpha-60: #3b444a99;--color-secondary-alpha-70: #3b444ab3;--color-secondary-alpha-80: #3b444acc;--color-secondary-alpha-90: #3b444ae1;--color-secondary-button: var(--color-secondary-dark-4);--color-secondary-hover: var(--color-secondary-dark-3);--color-secondary-active: var(--color-secondary-dark-2);--color-console-fg: #f8f8f9;--color-console-fg-subtle: #bec4c8;--color-console-bg: #171b1e;--color-console-border: #2e353b;--color-console-hover-bg: #292d31;--color-console-active-bg: #2e353b;--color-console-menu-bg: #252b30;--color-console-menu-border: #424b51;--color-red: #cc4848;--color-orange: #cc580c;--color-yellow: #cc9903;--color-olive: #91a313;--color-green: #87ab63;--color-teal: #00918a;--color-blue: #3a8ac6;--color-violet: #906ae1;--color-purple: #b259d0;--color-pink: #d22e8b;--color-brown: #a47252;--color-black: #1d2328;--color-red-light: #d15a5a;--color-orange-light: #f6a066;--color-yellow-light: #eaaf03;--color-olive-light: #abc016;--color-green-light: #93b373;--color-teal-light: #00b6ad;--color-blue-light: #4e96cc;--color-violet-light: #9b79e4;--color-purple-light: #ba6ad5;--color-pink-light: #d74397;--color-brown-light: #b08061;--color-black-light: #424851;--color-red-dark-1: #c23636;--color-orange-dark-1: #f38236;--color-yellow-dark-1: #b88a03;--color-olive-dark-1: #839311;--color-green-dark-1: #7a9e55;--color-teal-dark-1: #00837c;--color-blue-dark-1: #347cb3;--color-violet-dark-1: #7b4edb;--color-purple-dark-1: #a742c9;--color-pink-dark-1: #be297d;--color-brown-dark-1: #94674a;--color-black-dark-1: #292e38;--color-red-dark-2: #ad3030;--color-orange-dark-2: #f16e17;--color-yellow-dark-2: #a37a02;--color-olive-dark-2: #74820f;--color-green-dark-2: #6c8c4c;--color-teal-dark-2: #00746e;--color-blue-dark-2: #2e6e9f;--color-violet-dark-2: #6733d6;--color-purple-dark-2: #9834b9;--color-pink-dark-2: #a9246f;--color-brown-dark-2: #835b42;--color-black-dark-2: #272930;--color-ansi-black: #1d2328;--color-ansi-red: #cc4848;--color-ansi-green: #87ab63;--color-ansi-yellow: #cc9903;--color-ansi-blue: #3a8ac6;--color-ansi-magenta: #d22e8b;--color-ansi-cyan: #00918a;--color-ansi-white: var(--color-console-fg-subtle);--color-ansi-bright-black: #424851;--color-ansi-bright-red: #d15a5a;--color-ansi-bright-green: #93b373;--color-ansi-bright-yellow: #eaaf03;--color-ansi-bright-blue: #4e96cc;--color-ansi-bright-magenta: #d74397;--color-ansi-bright-cyan: #00b6ad;--color-ansi-bright-white: var(--color-console-fg);--color-grey: #384147;--color-grey-light: #828f99;--color-gold: #b1983b;--color-white: #ffffff;--color-diff-removed-word-bg: #6f3333;--color-diff-added-word-bg: #3c653c;--color-diff-removed-row-bg: #3c2626;--color-diff-moved-row-bg: #818044;--color-diff-added-row-bg: #283e2d;--color-diff-removed-row-border: #634343;--color-diff-moved-row-border: #bcca6f;--color-diff-added-row-border: #314a37;--color-diff-inactive: #22282d;--color-error-border: #a04141;--color-error-bg: #522;--color-error-bg-active: #744;--color-error-bg-hover: #633;--color-error-text: #f9cbcb;--color-success-border: #458a57;--color-success-bg: #284034;--color-success-text: #6cc664;--color-warning-border: #bb9d00;--color-warning-bg: #3a3a30;--color-warning-text: #fbbd08;--color-info-border: #306090;--color-info-bg: #26354c;--color-info-text: #38a8e8;--color-red-badge: #db2828;--color-red-badge-bg: #db28281a;--color-red-badge-hover-bg: #db28284d;--color-green-badge: #21ba45;--color-green-badge-bg: #21ba451a;--color-green-badge-hover-bg: #21ba454d;--color-yellow-badge: #fbbd08;--color-yellow-badge-bg: #fbbd081a;--color-yellow-badge-hover-bg: #fbbd084d;--color-orange-badge: #f2711c;--color-orange-badge-bg: #f2711c1a;--color-orange-badge-hover-bg: #f2711c4d;--color-body: #1c1f25;--color-box-header: #1a1d1f;--color-box-body: #14171a;--color-box-body-highlight: #1c2227;--color-text-dark: #f8f8f9;--color-text: #d1d5d8;--color-text-light: #bdc3c7;--color-text-light-1: #a8afb5;--color-text-light-2: #929ba2;--color-text-light-3: #7c8790;--color-footer: var(--color-nav-bg);--color-timeline: #353c42;--color-input-text: var(--color-text-dark);--color-input-background: #151a1e;--color-input-toggle-background: #2e353b;--color-input-border: var(--color-secondary);--color-input-border-hover: var(--color-secondary-dark-1);--color-light: #00001728;--color-light-mimic-enabled: rgba(0, 0, 0, calc(40 / 255 * 222 / 255 / var(--opacity-disabled)));--color-light-border: #e8e8ff28;--color-hover: #e8e8ff19;--color-active: #393b43;--color-menu: #151a1e;--color-card: #151a1e;--fancy-card-bg: #14171a;--fancy-card-border: #3b444a;--color-markup-table-row: #e8e8ff0f;--color-markup-code-block: #e8e8ff12;--color-markup-code-inline: #e8e8ff28;--color-button: #151a1e;--color-code-bg: #14171a;--color-shadow: #00001758;--color-secondary-bg: #2f3138;--color-expand-button: #2b353e;--color-placeholder-text: var(--color-text-light-3);--color-editor-line-highlight: var(--color-primary-light-5);--color-project-column-bg: var(--color-secondary-light-2);--color-caret: var(--color-text);--color-reaction-bg: #e8e8ff12;--color-reaction-hover-bg: var(--color-primary-light-4);--color-reaction-active-bg: var(--color-primary-light-5);--color-tooltip-text: #fafafb;--color-tooltip-bg: #000017f0;--color-nav-bg: #16191c;--color-nav-hover-bg: var(--color-secondary-light-1);--color-nav-text: var(--color-text);--color-secondary-nav-bg: #181c20;--color-label-text: var(--color-text);--color-label-bg: #73828e4b;--color-label-hover-bg: #73828ea0;--color-label-active-bg: #73828eff;--color-accent: var(--color-primary-light-1);--color-small-accent: var(--color-primary-light-5);--color-highlight-fg: #87651e;--color-highlight-bg: #352c1c;--color-overlay-backdrop: #080808c0;--checkerboard-color-1: #313131;--checkerboard-color-2: #212121;accent-color:var(--color-accent);color-scheme:dark}.emoji[aria-label="check mark"],.emoji[aria-label="currency exchange"],.emoji[aria-label="TOP arrow"],.emoji[aria-label="END arrow"],.emoji[aria-label="ON! arrow"],.emoji[aria-label="SOON arrow"],.emoji[aria-label="heavy dollar sign"],.emoji[aria-label=copyright],.emoji[aria-label=registered],.emoji[aria-label="trade mark"],.emoji[aria-label=multiply],.emoji[aria-label=plus],.emoji[aria-label=minus],.emoji[aria-label=divide],.emoji[aria-label="curly loop"],.emoji[aria-label="double curly loop"],.emoji[aria-label="wavy dash"],.emoji[aria-label="paw prints"],.emoji[aria-label="musical note"],.emoji[aria-label="musical notes"]{filter:invert(100%) hue-rotate(180deg)}
:root {
  --color-primary: #2185D0;
  /* This variable will rerite in Forgejo v15 */
  --color-nav-text: #ffffff;
  --color-nav-hover-bg: #00000014;
	--color-primary: #2185D0;
	--color-footer: #144B49;
	--color-footer-text: #fff;
}

.following.bar, #navbar {
    /* Change navbar color scheme to match Codeberg's brand */
    background-color: var(--color-primary);
    border-bottom: none !important;
}

#navbar-expand-toggle {
    /* Fix contrast for the mobile menu button */
    --color-light-border: rgba(255,255,255,0.5);
    --color-text-light: #fff;
}
* {
    /* Revert changes to browser scrollbar */
    scrollbar-width: initial;
    scrollbar-color: initial;
}

:root {
    --color-primary: #4793cc; /* from brand palette, brightened for readability */
    --color-primary-alpha-10: #2185d019;
    --color-primary-alpha-20: #2185d033;
    --color-primary-alpha-30: #2185d04b;
    --color-primary-alpha-40: #2185d066;
    --color-primary-alpha-50: #2185d080;
    --color-primary-alpha-60: #2185d099;
    --color-primary-alpha-70: #2185d0b3;
    --color-primary-alpha-80: #2185d0cc;
    --color-primary-alpha-90: #2185d0e1;

    --color-primary-light-1: #1e78bb; /* 10% shade steps, AA contrast with white text */
    --color-primary-light-2: #1a6aa6;
    --color-primary-light-3: #175d92;
    --color-primary-light-4: #14507d;
    --color-primary-light-5: #114368;
    --color-primary-light-6: #0d3553;
    --color-primary-light-7: #0a283e;

    --color-primary-dark-1: #3d94d6; /* 12.5% tint steps */
    --color-primary-dark-2: #59a4dc;
    --color-primary-dark-3: #74b3e2;
    --color-primary-dark-4: #90c2e8;
    --color-primary-dark-5: #acd1ed;
    --color-primary-dark-6: #c8e1f3;
    --color-primary-dark-7: #e3f0f9;

    --color-secondary: #082437; /* 25% shade steps from dark-1 */
    --color-secondary-alpha-10: #08243719;
    --color-secondary-alpha-20: #08243733;
    --color-secondary-alpha-30: #0824374b;
    --color-secondary-alpha-40: #08243766;
    --color-secondary-alpha-50: #08243780;
    --color-secondary-alpha-60: #08243799;
    --color-secondary-alpha-70: #082437b3;
    --color-secondary-alpha-80: #082437cc;
    --color-secondary-alpha-90: #082437e1;

    --color-secondary-light-1: #061825; /* 50% shade from dark-1, AA contrast with brand color for text */
    --color-secondary-light-2: #04121b; /* 62.5% shade from dark-1 */
    --color-secondary-light-3: #0c1a24; /* 75% shade from dark-1, then brightened for less eye strain */
    --color-secondary-light-4: #010609; /* 87.5% shade from dark-1 */

    --color-secondary-dark-1: #0b3049; /* from brand palette */
    --color-secondary-dark-2: #1d4057; /* 7.5% tint steps */
    --color-secondary-dark-3: #304f64;
    --color-secondary-dark-4: #425f72;
    --color-secondary-dark-5: #546e80;
    --color-secondary-dark-6: #677e8d;
    --color-secondary-dark-7: #798d9b;
    --color-secondary-dark-8: #8b9da9;
    --color-secondary-dark-9: #9dacb6;
    --color-secondary-dark-10: #b0bcc4;
    --color-secondary-dark-11: #c2cbd2;
    --color-secondary-dark-12: #d4dbdf;
    --color-secondary-dark-13: #e7eaed;

    --color-link: var(--color-primary-dark-2);

    --color-diff-inactive: #353846; /* TODO */
    --color-body: var(--color-secondary-light-3);
    --color-box-header: var(--color-secondary-light-1);
    --color-box-body: var(--color-secondary-light-2);
    --color-text-dark: #fff;
    --color-text: var(--color-secondary-dark-12);
    --color-text-light: var(--color-secondary-dark-9);
    --color-text-light-2: var(--color-secondary-dark-8);
    --color-text-light-3: var(--color-secondary-dark-3);
    --color-timeline: var(--color-secondary);
    --color-input-text: var(--color-text-dark);
    --color-input-background: var(--color-secondary);
    --color-input-border: var(--color-secondary-dark-2);
    --color-input-border-hover: var(--color-primary);
    --color-navbar: #1b2c40; /* not the main navbar, but for e.g. repo header. brightened from --color-secondary for tab contrast. */
    --color-menu: var(--color-secondary-light-1);
    --color-card: var(--color-secondary-light-1);
    --color-markup-code-block: var(--color-secondary);
    --color-light: var(--color-secondary-dark-2);
    --color-light-border: var(--color-secondary-dark-4);
    --color-hover: var(--color-secondary-dark-3);
    --color-active: var(--color-secondary);
    --color-button: var(--color-secondary-dark-2);
    --color-code-bg: var(--color-secondary-light-2);
    --color-code-sidebar-bg: var(--color-secondary-light-3);
    --color-secondary-bg: var(--color-secondary-light-2);
    --color-expand-button: var(--color-secondary-dark-3);
    --color-placeholder-text: var(--color-text-light-2);
    --color-nav-hover-bg: var(--color-secondary-dark-3);

    /* Codeberg footer */
    --color-footer: var(--color-secondary-light-4);
    --color-footer-text: #ffffff;
}

.ui.horizontal.segments > .segment {
    background-color: var(--color-secondary-light-3);
}
[data-tooltip]:before, [data-tooltip]:after {
    background: #1b1c1d !important;
    border-color: #1b1c1d !important;
    color: #dbdbdb !important;
}
[data-tooltip]:before {
    box-shadow: 1px 1px #1b1c1d !important;
}
.feeds .list ul li.private {
    background: var(--color-secondary-dark-2)
}
.form .help {
    color: #7f8699
}
.ui .text.light.grey {
    color: #7f8699 !important
}
.ui.search > .results {
    background: var(--color-secondary-dark-3);
}
.repository.file.list #repo-files-table tr {
    background: var(--color-secondary-light-1);
}
.repository.file.list #repo-files-table tr:hover {
    background-color: var(--color-secondary-dark-1) !important
}
.repository.file.editor.edit .editor-preview, .repository.wiki.new .CodeMirror .editor-preview, .repository.file.editor.edit .editor-preview-side, .repository.wiki.new .CodeMirror .editor-preview-side, .repository.file.editor.edit + .editor-preview-side, .repository.wiki.new .CodeMirror + .editor-preview-side {
    background: var(--color-secondary-dark-2)
}
.ui.green.button, .ui.green.buttons .button {
    background-color: #21ba45;
}
.ui.green.button:hover, .ui.green.buttons .button:hover {
    background-color: #16ab39
}
.ui.tertiary.button {
    color: #fff9;
    &:hover {
        color: #ccc;
    }
}

/** TODO: ??? **/
.tag-code, .tag-code td {
    background: var(--color-secondary-dark-2) !important
}
.tag-code td.lines-num {
    background-color: var(--color-secondary-dark-3) !important
}
.ui.attached.info.message, .ui.info.message {
    box-shadow: 0 0 0 1px #4b5e71 inset, 0 0 transparent
}
.ui.active.label {
    background: #393d4a;
    border-color: #393d4a;
    color: #dbdbdb
}
.ui.modal > .content {
    background: var(--color-secondary-dark-3);
}
.minicolors-panel {
    border-color: #6a737d !important
}
.repository.release #release-list > li .detail .dot {
    background-color: #505667;
    border-color: #383c4a
}
#git-graph-container .ui.buttons button#flow-color-monochrome.ui.button {
    /* TODO: a button there is white for some reason?! */
    border-left-color: #4c505c;
}
.is-loading:after {
    border-color: #4a4c58 #4a4c58 #d7d7da #d7d7da
}
